<lib-condensed-header-layout
  *transloco="let t"
  [pageTitle]="t('feature_help.dashboard.main_headings')"
  [useMaximumBackground]="true"
  class="ion-page"
>
  <div class="content-spacing-small-large flex-list-subsections" id="mainHelp">
    <div class="sub-header">{{ t('feature_help.dashboard.sub_headings') }}</div>
    <ion-row>
      <ion-col>
        <ion-list class="flex-list-subsections" lines="none">
          <ion-item>
            <lib-help-listing-item
              [description]="t('feature_help.dashboard.listing-1.description')"
              [linkText]="
                t('feature_help.dashboard.listing-1.link-text', {
                  number: '02921 / 103-0',
                })
              "
              [title]="t('feature_help.dashboard.listing-1.title')"
              icon="phone"
              linkUrl="tel:+4929211030"
            >
            </lib-help-listing-item>
          </ion-item>
          <ion-item>
            <lib-help-listing-item
              [description]="t('feature_help.dashboard.listing-2.description')"
              [linkText]="
                t('feature_help.dashboard.listing-2.link-text', {
                  number: '02921 / 103-2127',
                })
              "
              [title]="t('feature_help.dashboard.listing-2.title')"
              icon="phone"
              linkUrl="tel:+4929211032127"
            >
            </lib-help-listing-item>
          </ion-item>
        </ion-list>
      </ion-col>
    </ion-row>
    <ion-row class="flex-list-lines">
      <h3>{{ t('feature_help.dashboard.listing-app-help.title') }}</h3>
      <div class="description">
        {{
          t('feature_help.dashboard.listing-app-help.description', {
            street: 'Marktstraße 20a',
          })
        }}
      </div>
      <ion-list class="flex-list-lines" lines="none">
        <ion-item>
          <h4>
            <a (click)="navigateToHelpLocation()" href="javscript:void(0)">
              <lib-general-icon
                [size]="iconFontSize.large"
                [type]="iconType.materialIconsOutlined"
                name="location_on"
                slot="start"
              ></lib-general-icon>
              {{
                t('feature_help.dashboard.listing-app-help.location', {
                  street: 'Marktstraße 20a',
                })
              }}
            </a>
          </h4>
        </ion-item>
        <ion-item>
          <h4>
            <a href="tel:+4929211035229">
              <lib-general-icon
                [size]="iconFontSize.large"
                [type]="iconType.materialIconsOutlined"
                name="phone"
                slot="start"
              ></lib-general-icon>
              {{
                t('feature_help.dashboard.listing-app-help.phone', {
                  number: '02921 / 103 - 1010',
                })
              }}
            </a>
          </h4>
        </ion-item>
        <ion-item>
          <h4>
            <a href="mailto:app@soest.de">
              <lib-general-icon
                [size]="iconFontSize.large"
                [type]="iconType.materialIconsOutlined"
                name="email"
                slot="start"
              ></lib-general-icon>
              {{
                t('feature_help.dashboard.listing-app-help.email', {
                  emailAddress: 'app@soest.de',
                })
              }}
            </a>
          </h4>
        </ion-item>
      </ion-list>
    </ion-row>
  </div>
</lib-condensed-header-layout>
